SUSE 5056 Published by

A python-Twisted security update has been released for openSUSE Leap 15.4.



SUSE-SU-2023:4490-1: moderate: Security update for python-Twisted


# Security update for python-Twisted

Announcement ID: SUSE-SU-2023:4490-1
Rating: moderate
References:

* bsc#1216588

Cross-References:

* CVE-2023-46137

CVSS scores:

* CVE-2023-46137 ( SUSE ): 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N
* CVE-2023-46137 ( NVD ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N

Affected Products:

* openSUSE Leap 15.4

An update that solves one vulnerability can now be installed.

## Description:

This update for python-Twisted fixes the following issues:

* CVE-2023-46137: Fixed issue inside serializing pipelined HTTP requests.
(bsc#1216588)

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

* openSUSE Leap 15.4
zypper in -t patch openSUSE-SLE-15.4-2023-4490=1

## Package List:

* openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64)
* python-Twisted-debugsource-19.10.0-150200.3.21.1
* python-Twisted-debuginfo-19.10.0-150200.3.21.1

## References:

* https://www.suse.com/security/cve/CVE-2023-46137.html
* https://bugzilla.suse.com/show_bug.cgi?id=1216588